Cyberduck Mountain Duck CLI

#7227 closed defect (fixed)

Method not allowed for HEAD request

Reported by: cyril Owned by: dkocher
Priority: normal Milestone: 4.4
Component: webdav Version: 4.3.1
Severity: major Keywords: webdav
Cc: Architecture: Intel
Platform: Windows 7

Description

I can connect webdav server (tomcat) using cyberduck 4.2.1 but connect fail using the same setting in 4.3.1

Attachments (2)

setting.jpg (88.1 KB) - added by cyril on May 8, 2013 at 1:33:31 AM.
connection setting
error message.jpg (95.7 KB) - added by cyril on May 8, 2013 at 1:33:56 AM.
error message

Download all attachments as: .zip

Change History (12)

Changed on May 8, 2013 at 1:33:31 AM by cyril

connection setting

Changed on May 8, 2013 at 1:33:56 AM by cyril

error message

comment:1 Changed on May 8, 2013 at 7:57:39 AM by dkocher

  • Milestone set to 4.3.2
  • Summary changed from Connect to webdav error to Method not allowed for HEAD request

comment:2 Changed on May 9, 2013 at 11:32:45 AM by dkocher

Pasting previous comment here by Jon Rifkin:

We are having the same problem with version 4.3.1, but not the previous version.

WORKAROUND

Make sure your webserver provides something like DirectoryIndex for WebDAV directory. In our case, we had an additional problem, because although we configured Apache to provide a DirectoryIndex, we were using the directive 'SetHandler default-handler' which overrode the DirectoryIndex directive. For us, the solution was to remove the 'SetHandler default-handler' directive.

CAUSE

Apparently the new Cyuberduck version begins the connection with the HEAD command, as shown in the error_message.jpg file from the first poster (the previous CyberDuck version used the PROPFIND command). If the web server is not configured to provide DirectoryIndex with a directory, the web server will return a NOT FOUND for the HEAD command, and the new Cyberduck will fail.

comment:3 Changed on May 9, 2013 at 11:58:18 AM by dkocher

Same issue reported in #7203.

comment:4 Changed on May 9, 2013 at 11:59:18 AM by dkocher

See also #7187.

comment:5 Changed on May 9, 2013 at 12:01:21 PM by dkocher

  • Resolution set to thirdparty
  • Status changed from new to closed

As noted by the previous comment, authentication handling in 4.3 was changed. See #7139. A HEAD request is issued to check access permissions to the resource.

comment:6 Changed on Jun 20, 2013 at 8:37:30 AM by dkocher

  • Resolution thirdparty deleted
  • Status changed from closed to reopened

We will implement a workaround for 404 and 405 errors.

comment:7 Changed on Jun 21, 2013 at 5:49:29 PM by dkocher

  • Resolution set to fixed
  • Status changed from reopened to closed

In r11208.

comment:8 Changed on Jun 24, 2013 at 12:43:53 PM by dkocher

#7313, #7290, #7219, #7203, #7306, #7266 closed as duplicates.

comment:9 Changed on Jul 10, 2013 at 4:07:08 PM by dkocher

#7342 closed as duplicate.

comment:10 Changed on Jul 14, 2013 at 3:21:27 PM by dkocher

#7346 closed as duplicate.

Note: See TracTickets for help on using tickets.
swiss made software